/* --------------------------------------------
||                 Color Palette               ||
  ---------------------------------------------*/

$ucl-orange: #ff690a;
$ucl-orange-light: #ff883e;
$ucl-orange-dark: #ca4e00;

$ucl-black: #292827;
$ucl-grey: #666361;
$ucl-grey-light: #dde4e9;
$ucl-light: #f8f9fa;

/* --------------------------------------------
||                     Font                    ||
  ---------------------------------------------*/

$font-family-base: Montserrat, "IBM Plex Sans Condensed";

@font-face {
  font-family: Montserrat;
  font-weight: normal;
  src: url("~@/assets/fonts/Montserrat-Medium.otf");
}

/* --------------------------------------------
||                 Pixeloid Font               ||
  ---------------------------------------------*/

@font-face {
  font-family: Pixeloid;
  font-weight: normal;
  src: url("~@/assets/fonts/PixeloidSansBold-PKnYd.ttf");
}

/* --------------------------------------------
||                 Inter Font               ||
  ---------------------------------------------*/

@font-face {
  font-family: Inter;
  font-weight: normal;
  src: url("~@/assets/fonts/Inter-VariableFont_slnt,wght.ttf");
}

/* --------------------------------------------
||              Custom Tech Classes            ||
  ---------------------------------------------*/

@mixin tag($color) {
  border-color: $color;
  color: $color;
}

.tag {
  transition: all 0.2s;
}

/*! purgecss start ignore */

.discord:hover {
  @include tag(#738adb);
}
.docker:hover {
  @include tag(#0db7ed);
}
.gitlab:hover {
  @include tag(#e24329);
}
.linux:hover {
  @include tag(#333333);
}
.nodejs:hover {
  @include tag(#215732);
}
.nuxt:hover {
  @include tag(#42b883);
}
.rails:hover {
  @include tag(#cc0000);
}
.react:hover {
  @include tag(#00d8ff);
}
.ruby:hover {
  @include tag(#cc342d);
}
.vuejs:hover {
  @include tag(#42b883);
}

.fa-envelope:hover {
  color: #00aced !important;
}
.fa-envelope:focus {
  color: #00aced !important;
}

.fa-facebook:hover {
  color: #2b55ff !important;
}
.fa-facebook:focus {
  color: #2b55ff !important;
}

.fa-telegram:hover {
  color: #1f95d3 !important;
}
.fa-telegram:focus {
  color: #1f95d3 !important;
}

.fa-gitlab:hover {
  color: #e24329 !important;
}
.fa-gitlab:focus {
  color: #e24329 !important;
}

.fa-github:hover {
  color: #bfbfbf !important;
}
.fa-github:focus {
  color: #bfbfbf !important;
}

.fa-instagram:hover {
  color: #ff34d2 !important;
}
.fa-instagram:focus {
  color: #ff34d2 !important;
}

.fa-youtube:hover {
  color: #ff0000 !important;
}
.fa-youtube:focus {
  color: #ff0000 !important;
}

/*! purgecss end ignore */
